Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.beans
Class TextFieldComponent

    java.lang.Object
      com.atomikos.beans.AbstractPropertyEditorComponent
          com.atomikos.beans.TextFieldComponent

All Implemented Interfaces:
  PropertyEditorComponent, EventListener, CaretListener

    public class TextFieldComponent

extends AbstractPropertyEditorComponent
implements CaretListener

An editor component that displays a property in a text field.

Constructor Summary
`TextFieldComponent(Property property)`
`TextFieldComponent(Property property, boolean allowsDecimalPoint)`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`void` | `caretUpdate(CaretEvent e)`
`Component` | `getComponent()` To be overridden in subclasses.

Methods inherited from class com.atomikos.beans.AbstractPropertyEditorComponent
`getPropertyEditor, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextFieldComponent

    public TextFieldComponent(Property property)
                       throws PropertyException

Throws:
  `PropertyException`

### TextFieldComponent

    public TextFieldComponent(Property property,
                              boolean allowsDecimalPoint)
                       throws PropertyException

Throws:
  `PropertyException`

Method Detail

### getComponent

    public Component getComponent()

  Description copied from class: `AbstractPropertyEditorComponent`
  To be overridden in subclasses.

  Specified by:
    `getComponent` in interface `PropertyEditorComponent`
  Specified by:
    `getComponent` in class `AbstractPropertyEditorComponent`
  Returns:
    Component The component.
  See Also:
    `PropertyEditorComponent`

### actionPerformed

    public void actionPerformed(ActionEvent e)

### caretUpdate

    public void caretUpdate(CaretEvent e)

  Specified by:
    `caretUpdate` in interface `CaretListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.